Bug 157973 - knetwalk drops highscores unless you press enter
Summary: knetwalk drops highscores unless you press enter
Status: RESOLVED FIXED
Alias: None
Product: libkdegames
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matt Williams
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-17 16:34 UTC by Ralph Janke
Modified: 2008-04-28 20:19 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Janke 2008-02-17 16:34:48 UTC
Version:           2.0.0 (using KDE 4.0.1)
Installed from:    Ubuntu Packages
OS:                Linux

This is a forwarded report from Kubuntu (https://bugs.launchpad.net/ubuntu/+source/kdegames/+bug/188744)

Great little game this one! :-)
However, when I enter a highscore and press "Close", the highscore is not saved. One must press enter after typing in a name.
 It is expected that one would not need to press enter or alternatively that it asked if one wanted to save the highscore when "Close" was clicked.
Comment 1 Stefan Majewsky 2008-03-24 16:11:14 UTC
As far as I can consider, this is a bug of libkdegames because the highscore dialog is shared.
Comment 2 Matt Williams 2008-04-27 17:35:28 UTC
I agree this would be considered a bug rather than a feature request.
Comment 3 Matt Williams 2008-04-28 20:19:38 UTC
An 'Ok' button will now be displayed in addition to the 'Cancel' button when name entry is required.

Fixed in revision 802167. KDE version 4.1.